Subject: Re: [PATCH net v2] bonding: Prevent IPv6 link local address on enslaved devices

From: Jarod Wilson <[email-masked]>
Date: Mon, 11 Jan 2016 15:11:36 -0500

On Mon, Jan 11, 2016 at 08:28:43AM -0500, Karl Heiss wrote:
> Commit 1f718f0f4f97 ("bonding: populate neighbour's private on enslave")
> undoes the fix provided by commit c2edacf80e15 ("bonding / ipv6: no addrconf
> for slaves separately from master") by effectively setting the slave flag
> after the slave has been opened.  If the slave comes up quickly enough, it
> will go through the IPv6 addrconf before the slave flag has been set and
> will get a link local IPv6 address.
> 
> In order to ensure that addrconf knows to ignore the slave devices on state
> change, set IFF_SLAVE before dev_open() during bonding enslavement.
> 
> Fixes: 1f718f0f4f97 ("bonding: populate neighbour's private on enslave")
> 
> Signed-off-by: Karl Heiss <[email-masked]>
> ---
> - Changes since 'v1':
>   - Revert clearing the IFF_SLAVE flag later during bond release so that
>     RTM_NEWLINK messages will correctly reflect the slave state.
>   - Update commit message for clarity.

Looks good to me as well, and I've actually got a recent Red Hat bugzilla
report about this same issue.

Reviewed-by: Jarod Wilson <[email-masked]>

-- 
Jarod Wilson
[email-masked]